/*
 *  Author:    Alberto Gil Tesa
 *  Website:   http://giltesa.com
 *  License:   CC BY-NC-SA 3.0
 *                
 *  Project:   RTC Dallas DS1307
 *  File:      gDS1307_miniTest.pde
 *  Date:      24/09/2013
 */

 
#include <Wire.h>
#include <gDS1307.h>


gDS1307 rtc;


void setup()
{
  Serial.begin(9600);
  while(!Serial);
  delay(1000);

  // Permite la configurar de la fecha y la hora.
  // Descomentar para usar. Despues volver a comentar o grabar de nuevo el
  // codigo en el Arduino, si no cada vez que se reinicie se reconfigurara.
  
  // rtc.setFecha( MARTES, 1, ENERO, 2013 );
  // rtc.setTiempo( 00, 00, 00 );
}



void loop()
{
  Tiempo t = rtc.getDatos();

  // HORA
  Serial.print(t.hora24h, DEC);   Serial.print(":");
  Serial.print(t.minutos, DEC);   Serial.print(":");
  Serial.print(t.segundos, DEC);  Serial.print(" del ");

  // FECHA
  Serial.print(t.diaMes, DEC);    Serial.print("/");
  Serial.print(t.mes, DEC);       Serial.print("/");
  Serial.println(t.anio, DEC);
  
  delay(1000);
}