/*
 *  Author:    Alberto Gil Tesa
 *  Website:   http://giltesa.com
 *  License:   CC BY-NC-SA 3.0
 *                
 *  Project:   RTC Dallas DS1307
 *  File:      gDS1307_test.pde
 *  Date:      24/09/2013
 */


#include <Wire.h>
#include <gDS1307.h>


gDS1307 rtc;


void setup()
{
  Serial.begin(9600);
  while(!Serial);
  delay(1000);

  // Permite la configurar de la fecha y la hora.
  // Descomentar para usar. Despues volver a comentar o grabar de nuevo el
  // codigo en el Arduino, si no cada vez que se reinicie se reconfigurara.
  
  // rtc.setFecha( MARTES, 1, ENERO, 2013 );
  // rtc.setTiempo( 00, 00, 00 );
}



void loop()
{
  Tiempo t = rtc.getDatos();

  // HORA
  Serial.print("Son las ");
  Serial.print(t.hora24h, DEC);
  Serial.print(":");

  if( t.minutos < 10 )
    Serial.print("0");
  Serial.print(t.minutos, DEC);
  Serial.print(":");

  if( t.segundos < 10 )
    Serial.print("0");
  Serial.print(t.segundos, DEC);
  Serial.print(" del ");


  // FECHA
  switch( t.diaSemana )
  {
    case 1:  Serial.print("Lunes ");      break;
    case 2:  Serial.print("Martes ");     break;
    case 3:  Serial.print("Miercoles ");  break;
    case 4:  Serial.print("Jueves ");     break;
    case 5:  Serial.print("Viernes ");    break;
    case 6:  Serial.print("Sabado ");     break;
    case 7:  Serial.print("Domingo ");    break;
  }

  Serial.print(t.diaMes, DEC);
  Serial.print(" de ");

  switch( t.mes )
  {
    case 1:  Serial.print("enero");       break;
    case 2:  Serial.print("febrero");     break;
    case 3:  Serial.print("marzo");       break;
    case 4:  Serial.print("abril");       break;
    case 5:  Serial.print("mayo");        break;
    case 6:  Serial.print("junio");       break;
    case 7:  Serial.print("julio");       break;
    case 8:  Serial.print("agosto");      break;
    case 9:  Serial.print("septiembre");  break;
    case 10: Serial.print("octubre");     break;
    case 11: Serial.print("noviembre");   break;
    case 12: Serial.print("diciembre");   break;
  }

  Serial.print(" del ");
  Serial.println(t.anio, DEC);
  delay(1000);
}
