/*
 *  Author:        Alberto Gil Tesa
 *  Website:    http://giltesa.com
 *  License:    CC BY-NC-SA 3.0
 *                
 *  Project:    RTC Dallas DS1307
 *  File:        gDS1307.cpp
 *  Date:        24/09/2013
 *  Version:    1.2
 */


#ifndef GDS1307_H_
#define GDS1307_H_


// LIBRERIAS
#if ARDUINO >= 100
    #include "Arduino.h"
#else
    #include "WProgram.h"
#endif
#include "Wire.h"


// CONSTANTES
#define DS1307_ADDRESS 0x68

#define LUNES       1
#define MARTES      2
#define MIERCOLES   3
#define JUEVES      4
#define VIERNES     5
#define SABADO      6
#define DOMINGO     7

#define ENERO       1
#define FEBRERO     2
#define MARZO       3
#define ABRIL       4
#define MAYO        5
#define JUNIO       6
#define JULIO       7
#define AGOSTO      8
#define SEPTIEMBRE  9
#define OCTUBRE     10
#define NOVIEMBRE   11
#define DICIEMBRE   12



// LA CLASE TIEMPO
class Tiempo
{
  public:
    uint8_t  segundos;   //     0~59
    uint8_t  minutos;    //     0~59
    uint8_t  hora;     //     0~12
    uint8_t  hora24h;     //     0~23
    uint8_t  diaSemana;  //     1~07
    uint8_t  diaMes;     //     1~31
    uint8_t  mes;        //     1~12
    uint16_t anio;       //  2000~2099

    Tiempo();
};



// LA CLASE gDS1307
class gDS1307
{
  public:
    gDS1307();
    void setFecha( uint8_t diaSemana, uint8_t diaMes, uint8_t mes, uint16_t anio );
    void setTiempo( uint8_t hora24h, uint8_t minutos, uint8_t segundos );
    Tiempo getDatos();

  private:
    uint8_t decToBcd(uint8_t val);
    uint8_t bcdToDec(uint8_t val);
};



#endif /* GDS1307_H_ */